@ECHO OFF
TITLE OSDK

::
:: Initial check.
:: Verify if the SDK is correctly configured
::
IF "%OSDK%"=="" GOTO ErCfg

::::::::::::::::::::::::::::::::::

::: SET GENERAL PARAMETERS
SET OSDKB=%OSDK%\BIN
SET OSDKT=%OSDK%\TMP
SET OSDKLINKLIST=
SET TMP=%OSDKT%
SET TEMP=%OSDKT%
SET OCC=%OSDK%
SET LCC65=%OSDK%
SET LCC65DIR=%OSDK%
:::::::::::::::::::::::::::

::
:: Launch the compilation of each files
::

%OSDKB%\Bas2Tap -b2t1 -color1 boot1.bas build\boot1.tap
%OSDKB%\Bas2Tap -b2t1 -color1 boot2.bas build\boot2.tap
%OSDKB%\Bas2Tap -b2t1 -color1 boot3.bas build\boot3.tap
%OSDKB%\Bas2Tap -b2t1 -color1 boot4.bas build\boot4.tap
%OSDKB%\Bas2Tap -b2t1 -color1 boot5.bas build\boot5.tap
%OSDKB%\Bas2Tap -b2t1 -color1 boot6.bas build\boot6.tap

%OSDKB%\xa.exe -W -C main.asm -l lbl_main.txt -e err_main.txt -o BUILD\main.bin -bt $1000
%OSDKB%\xa.exe -W -C ppt3.asm -l lbl_ppt3.txt -e err_ppt3.txt -o BUILD\ppt3.bin -bt $8000 -bb $A000


:: TAP HEADER => DATA [-a0 not executable / -a1 executable (default)]
%OSDKB%\header.exe -h1 build\main.bin build\main.tap $1000
%OSDKB%\header.exe -a0 -h1 build\ppt3.bin build\ppt3.tap $8000

%OSDKB%\header.exe -a0 -h1 DATA\NINJA.pt3 build\NINJA.tap $2000
%OSDKB%\header.exe -a0 -h1 DATA\BOOM.pt3 build\BOOM.tap $2000
%OSDKB%\header.exe -a0 -h1 DATA\FUN.pt3 build\FUN.tap $2000
%OSDKB%\header.exe -a0 -h1 DATA\TELEGA.pt3 build\TELEGA.tap $2000
%OSDKB%\header.exe -a0 -h1 DATA\RT.pt3 build\RT.tap $2000
%OSDKB%\header.exe -a0 -h1 DATA\TEST.pt3 build\TEST.tap $2000

pause

::ECHO ON
ECHO Building DSK file
pushd build

::%OSDK%\bin\tap2dsk -iCLS:BOOT boot.tap ppt3.tap BOOM.tap PPT3.dsk
:: test of new build version of tap2dsk (remove MASTER DISC MESSAGE PROBLEM)
tap2dsk -iCLS:BOOT1 boot1.tap main.tap ppt3.tap NINJA.tap NINJA.dsk
%OSDK%\bin\old2mfm NINJA.dsk

tap2dsk -iCLS:BOOT2 boot2.tap main.tap ppt3.tap BOOM.tap BOOM.dsk
%OSDK%\bin\old2mfm BOOM.dsk

tap2dsk -iCLS:BOOT3 boot3.tap main.tap ppt3.tap FUN.tap FUN.dsk
%OSDK%\bin\old2mfm FUN.dsk

tap2dsk -iCLS:BOOT4 boot4.tap main.tap ppt3.tap TELEGA.tap TELEGA.dsk
%OSDK%\bin\old2mfm TELEGA.dsk

tap2dsk -iCLS:BOOT5 boot5.tap main.tap ppt3.tap RT.tap RT.dsk
%OSDK%\bin\old2mfm RT.dsk

tap2dsk -iCLS:BOOT6 boot6.tap main.tap ppt3.tap TEST.tap TEST.dsk
%OSDK%\bin\old2mfm TEST.dsk

popd 

GOTO End


::
:: Outputs an error message
::
:ErCfg
ECHO == ERROR ==
ECHO The Oric SDK was not configured properly
ECHO You should have a OSDK environment variable setted to the location of the SDK
IF "%OSDKBRIEF%"=="" PAUSE
GOTO End


:End
pause
